New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

unable to run #86

Closed
kevin1515 opened this Issue Oct 14, 2015 · 8 comments

Comments

Projects
None yet
7 participants
@kevin1515

kevin1515 commented Oct 14, 2015

running on Ubuntu 15.04. Have the following errors. Tried to upgrade package of six, does not work.

(myevn) osboxes@osboxes:~/myevn/test$ iepy
Traceback (most recent call last):
File "/home/osboxes/myevn/lib/python3.4/site-packages/pkg_resources/init.py", line 614, in _build_master
ws.require(requires)
File "/home/osboxes/myevn/lib/python3.4/site-packages/pkg_resources/init.py", line 920, in require
needed = self.resolve(parse_requirements(requirements))
File "/home/osboxes/myevn/lib/python3.4/site-packages/pkg_resources/init.py", line 812, in resolve
raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (six 1.5.2 (/home/osboxes/myevn/lib/python3.4/site-packages), Requirement.parse('six>=1.7'), {'mock'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/home/osboxes/myevn/bin/iepy", line 5, in
from pkg_resources import load_entry_point
File "/home/osboxes/myevn/lib/python3.4/site-packages/pkg_resources/init.py", line 3020, in
working_set = WorkingSet._build_master()
File "/home/osboxes/myevn/lib/python3.4/site-packages/pkg_resources/init.py", line 616, in _build_master
return cls._build_from_requirements(requires)
File "/home/osboxes/myevn/lib/python3.4/site-packages/pkg_resources/init.py", line 629, in _build_from_requirements
dists = ws.resolve(reqs, Environment())
File "/home/osboxes/myevn/lib/python3.4/site-packages/pkg_resources/init.py", line 812, in resolve
raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (six 1.5.2 (/home/osboxes/myevn/lib/python3.4/site-packages), Requirement.parse('six>=1.7'), {'mock'})

@cyberyu

This comment has been minimized.

Show comment
Hide comment
@cyberyu

cyberyu Oct 14, 2015

Same issue here, first tried with pip install (Python 2.7)

sudo pip install iepy==0.9.4

leads to the error:

Collecting iepy==0.9.4
Downloading iepy-0.9.4.tar.gz (556kB)
100% |████████████████████████████████| 557kB 371kB/s
Complete output from command python setup.py egg_info:
Traceback (most recent call last):
File "", line 20, in
File "/tmp/pip-build-K1_2ph/iepy/setup.py", line 7, in
with open(path.join(HERE, 'README.rst'), encoding='utf-8') as f:
TypeError: 'encoding' is an invalid keyword argument for this function

----------------------------------------

Command "python setup.py egg_info" failed with error code 1 in /tmp/pip-build-K1_2ph/iepy

Then tried with with

sudo pip3 install iepy==0.9.4

and installation did finish, and the library and Django project files are installed. But the iepy command cannot be executed, having the same error as kevin1515 mentioned.

cyberyu commented Oct 14, 2015

Same issue here, first tried with pip install (Python 2.7)

sudo pip install iepy==0.9.4

leads to the error:

Collecting iepy==0.9.4
Downloading iepy-0.9.4.tar.gz (556kB)
100% |████████████████████████████████| 557kB 371kB/s
Complete output from command python setup.py egg_info:
Traceback (most recent call last):
File "", line 20, in
File "/tmp/pip-build-K1_2ph/iepy/setup.py", line 7, in
with open(path.join(HERE, 'README.rst'), encoding='utf-8') as f:
TypeError: 'encoding' is an invalid keyword argument for this function

----------------------------------------

Command "python setup.py egg_info" failed with error code 1 in /tmp/pip-build-K1_2ph/iepy

Then tried with with

sudo pip3 install iepy==0.9.4

and installation did finish, and the library and Django project files are installed. But the iepy command cannot be executed, having the same error as kevin1515 mentioned.

@jiffies

This comment has been minimized.

Show comment
Hide comment
@jiffies

jiffies Oct 19, 2015

Running use python3 and in a virtualenv could figure it out.But I encounter another problem just post in new issue.

jiffies commented Oct 19, 2015

Running use python3 and in a virtualenv could figure it out.But I encounter another problem just post in new issue.

@fiannuzzi

This comment has been minimized.

Show comment
Hide comment
@fiannuzzi

fiannuzzi Oct 26, 2015

Hello everyone, same issue here. I am on Ubuntu 15.04 and followed the instructions here: http://iepy.readthedocs.org/en/latest/installation.html

When running iepy --download-third-party-data I get:

Traceback (most recent call last):
File "/home/francesca/PY_VIRTUALENV/lib/python3.4/site-packages/pkg_resources/init.py", line 612, in _build_master
ws.require(requires)
File "/home/francesca/PY_VIRTUALENV/lib/python3.4/site-packages/pkg_resources/init.py", line 918, in require
needed = self.resolve(parse_requirements(requirements))
File "/home/francesca/PY_VIRTUALENV/lib/python3.4/site-packages/pkg_resources/init.py", line 810, in resolve
raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (six 1.5.2 (/home/francesca/PY_VIRTUALENV/lib/python3.4/site-packages), Requirement.parse('six>=1.7'), {'mock'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/home/francesca/PY_VIRTUALENV/bin/iepy", line 5, in
from pkg_resources import load_entry_point
File "/home/francesca/PY_VIRTUALENV/lib/python3.4/site-packages/pkg_resources/init.py", line 3018, in
working_set = WorkingSet._build_master()
File "/home/francesca/PY_VIRTUALENV/lib/python3.4/site-packages/pkg_resources/init.py", line 614, in _build_master
return cls._build_from_requirements(requires)
File "/home/francesca/PY_VIRTUALENV/lib/python3.4/site-packages/pkg_resources/init.py", line 627, in _build_from_requirements
dists = ws.resolve(reqs, Environment())
File "/home/francesca/PY_VIRTUALENV/lib/python3.4/site-packages/pkg_resources/init.py", line 810, in resolve
raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (six 1.5.2 (/home/francesca/PY_VIRTUALENV/lib/python3.4/site-packages), Requirement.parse('six>=1.7'), {'mock'})

If I upgrade "six' (to v 1.10.0) I get:

Traceback (most recent call last):
File "/home/francesca/PY_VIRTUALENV/lib/python3.4/site-packages/pkg_resources/init.py", line 612, in _build_master
ws.require(requires)
File "/home/francesca/PY_VIRTUALENV/lib/python3.4/site-packages/pkg_resources/init.py", line 918, in require
needed = self.resolve(parse_requirements(requirements))
File "/home/francesca/PY_VIRTUALENV/lib/python3.4/site-packages/pkg_resources/init.py", line 810, in resolve
raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (six 1.10.0 (/home/francesca/PY_VIRTUALENV/lib/python3.4/site-packages), Requirement.parse('six==1.5.2'), {'django-extra-views', 'iepy'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/home/francesca/PY_VIRTUALENV/bin/iepy", line 5, in
from pkg_resources import load_entry_point
File "/home/francesca/PY_VIRTUALENV/lib/python3.4/site-packages/pkg_resources/init.py", line 3018, in
working_set = WorkingSet._build_master()
File "/home/francesca/PY_VIRTUALENV/lib/python3.4/site-packages/pkg_resources/init.py", line 614, in _build_master
return cls._build_from_requirements(requires)
File "/home/francesca/PY_VIRTUALENV/lib/python3.4/site-packages/pkg_resources/init.py", line 627, in _build_from_requirements
dists = ws.resolve(reqs, Environment())
File "/home/francesca/PY_VIRTUALENV/lib/python3.4/site-packages/pkg_resources/init.py", line 805, in resolve
raise DistributionNotFound(req)
pkg_resources.DistributionNotFound: six==1.5.2

Thanks in advance for your help.

fiannuzzi commented Oct 26, 2015

Hello everyone, same issue here. I am on Ubuntu 15.04 and followed the instructions here: http://iepy.readthedocs.org/en/latest/installation.html

When running iepy --download-third-party-data I get:

Traceback (most recent call last):
File "/home/francesca/PY_VIRTUALENV/lib/python3.4/site-packages/pkg_resources/init.py", line 612, in _build_master
ws.require(requires)
File "/home/francesca/PY_VIRTUALENV/lib/python3.4/site-packages/pkg_resources/init.py", line 918, in require
needed = self.resolve(parse_requirements(requirements))
File "/home/francesca/PY_VIRTUALENV/lib/python3.4/site-packages/pkg_resources/init.py", line 810, in resolve
raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (six 1.5.2 (/home/francesca/PY_VIRTUALENV/lib/python3.4/site-packages), Requirement.parse('six>=1.7'), {'mock'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/home/francesca/PY_VIRTUALENV/bin/iepy", line 5, in
from pkg_resources import load_entry_point
File "/home/francesca/PY_VIRTUALENV/lib/python3.4/site-packages/pkg_resources/init.py", line 3018, in
working_set = WorkingSet._build_master()
File "/home/francesca/PY_VIRTUALENV/lib/python3.4/site-packages/pkg_resources/init.py", line 614, in _build_master
return cls._build_from_requirements(requires)
File "/home/francesca/PY_VIRTUALENV/lib/python3.4/site-packages/pkg_resources/init.py", line 627, in _build_from_requirements
dists = ws.resolve(reqs, Environment())
File "/home/francesca/PY_VIRTUALENV/lib/python3.4/site-packages/pkg_resources/init.py", line 810, in resolve
raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (six 1.5.2 (/home/francesca/PY_VIRTUALENV/lib/python3.4/site-packages), Requirement.parse('six>=1.7'), {'mock'})

If I upgrade "six' (to v 1.10.0) I get:

Traceback (most recent call last):
File "/home/francesca/PY_VIRTUALENV/lib/python3.4/site-packages/pkg_resources/init.py", line 612, in _build_master
ws.require(requires)
File "/home/francesca/PY_VIRTUALENV/lib/python3.4/site-packages/pkg_resources/init.py", line 918, in require
needed = self.resolve(parse_requirements(requirements))
File "/home/francesca/PY_VIRTUALENV/lib/python3.4/site-packages/pkg_resources/init.py", line 810, in resolve
raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (six 1.10.0 (/home/francesca/PY_VIRTUALENV/lib/python3.4/site-packages), Requirement.parse('six==1.5.2'), {'django-extra-views', 'iepy'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/home/francesca/PY_VIRTUALENV/bin/iepy", line 5, in
from pkg_resources import load_entry_point
File "/home/francesca/PY_VIRTUALENV/lib/python3.4/site-packages/pkg_resources/init.py", line 3018, in
working_set = WorkingSet._build_master()
File "/home/francesca/PY_VIRTUALENV/lib/python3.4/site-packages/pkg_resources/init.py", line 614, in _build_master
return cls._build_from_requirements(requires)
File "/home/francesca/PY_VIRTUALENV/lib/python3.4/site-packages/pkg_resources/init.py", line 627, in _build_from_requirements
dists = ws.resolve(reqs, Environment())
File "/home/francesca/PY_VIRTUALENV/lib/python3.4/site-packages/pkg_resources/init.py", line 805, in resolve
raise DistributionNotFound(req)
pkg_resources.DistributionNotFound: six==1.5.2

Thanks in advance for your help.

@sbriglie

This comment has been minimized.

Show comment
Hide comment
@sbriglie

sbriglie Oct 26, 2015

Hi! I was also experiencing this issue and I was able to find a workaround. After some digging around in the virtualenv I established that the issue was that iepy requires (through pip at least) six==1.5.2. Featureforge, another dependence, requires mock, whose latest version, 1.3.0, requires six>=1.7, causing the conflict. The workaround is
pip uninstall mock
and
pip install mock==1.1.0
This earlier version does not put any version requirements on six, just its presence. The intermediate version 1.2.0 instead requires six>=1.7 and so does not solve the conflict.
Hope this helps!

sbriglie commented Oct 26, 2015

Hi! I was also experiencing this issue and I was able to find a workaround. After some digging around in the virtualenv I established that the issue was that iepy requires (through pip at least) six==1.5.2. Featureforge, another dependence, requires mock, whose latest version, 1.3.0, requires six>=1.7, causing the conflict. The workaround is
pip uninstall mock
and
pip install mock==1.1.0
This earlier version does not put any version requirements on six, just its presence. The intermediate version 1.2.0 instead requires six>=1.7 and so does not solve the conflict.
Hope this helps!

@fiannuzzi

This comment has been minimized.

Show comment
Hide comment
@fiannuzzi

fiannuzzi Oct 27, 2015

That worked for me! Thank you sbriglie!

fiannuzzi commented Oct 27, 2015

That worked for me! Thank you sbriglie!

@anthonygualandri

This comment has been minimized.

Show comment
Hide comment
@anthonygualandri

anthonygualandri Nov 13, 2015

Hi all,

I'm receiving the follow error message. Seems to be related to what sbriglie and other are discussing here. Can anyone help point me in the right direction for how to fix? I'm running Ubuntu 14.04 inside of a Docker container on a Macbook Pro machine. I was able to install all IEPY dependencies, Java, etc, but get hung up with the error below when I try to pip install IEPY itself. I'm wondering if it could somehow be connected to the fact that python 3 and pip does not work when calling just $ python or pip. I need to specify python3 and pip3 for everything. I've tried creating an alias, but it doesn't seem to resolve the problem. I've also installed mock 1.1.0 as sbriglie suggests above and it doesn't seem to fix either. Thanks in advance for any and all help!

Downloading/unpacking featureforge==0.1.5 (from iepy)
Downloading featureforge-0.1.5.tar.gz
Running setup.py (path:/tmp/pip_build_root/featureforge/setup.py) egg_info for package featureforge
Traceback (most recent call last):
File "", line 17, in
File "/tmp/pip_build_root/featureforge/setup.py", line 11, in
long_description = open(os.path.join(base_path, 'README.rst')).read()
File "/usr/lib/python3.4/encodings/ascii.py", line 26, in decode
return codecs.ascii_decode(input, self.errors)[0]
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc2 in position 1383: ordinal not in range(128)
Complete output from command python setup.py egg_info:
Traceback (most recent call last):

File "", line 17, in

File "/tmp/pip_build_root/featureforge/setup.py", line 11, in

long_description = open(os.path.join(base_path, 'README.rst')).read()

File "/usr/lib/python3.4/encodings/ascii.py", line 26, in decode

return codecs.ascii_decode(input, self.errors)[0]

UnicodeDecodeError: 'ascii' codec can't decode byte 0xc2 in position 1383: ordinal not in range(128)


Cleaning up...
Command python setup.py egg_info failed with error code 1 in /tmp/pip_build_root/featureforge
Storing debug log for failure in /root/.pip/pip.log

anthonygualandri commented Nov 13, 2015

Hi all,

I'm receiving the follow error message. Seems to be related to what sbriglie and other are discussing here. Can anyone help point me in the right direction for how to fix? I'm running Ubuntu 14.04 inside of a Docker container on a Macbook Pro machine. I was able to install all IEPY dependencies, Java, etc, but get hung up with the error below when I try to pip install IEPY itself. I'm wondering if it could somehow be connected to the fact that python 3 and pip does not work when calling just $ python or pip. I need to specify python3 and pip3 for everything. I've tried creating an alias, but it doesn't seem to resolve the problem. I've also installed mock 1.1.0 as sbriglie suggests above and it doesn't seem to fix either. Thanks in advance for any and all help!

Downloading/unpacking featureforge==0.1.5 (from iepy)
Downloading featureforge-0.1.5.tar.gz
Running setup.py (path:/tmp/pip_build_root/featureforge/setup.py) egg_info for package featureforge
Traceback (most recent call last):
File "", line 17, in
File "/tmp/pip_build_root/featureforge/setup.py", line 11, in
long_description = open(os.path.join(base_path, 'README.rst')).read()
File "/usr/lib/python3.4/encodings/ascii.py", line 26, in decode
return codecs.ascii_decode(input, self.errors)[0]
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc2 in position 1383: ordinal not in range(128)
Complete output from command python setup.py egg_info:
Traceback (most recent call last):

File "", line 17, in

File "/tmp/pip_build_root/featureforge/setup.py", line 11, in

long_description = open(os.path.join(base_path, 'README.rst')).read()

File "/usr/lib/python3.4/encodings/ascii.py", line 26, in decode

return codecs.ascii_decode(input, self.errors)[0]

UnicodeDecodeError: 'ascii' codec can't decode byte 0xc2 in position 1383: ordinal not in range(128)


Cleaning up...
Command python setup.py egg_info failed with error code 1 in /tmp/pip_build_root/featureforge
Storing debug log for failure in /root/.pip/pip.log

@jmansilla

This comment has been minimized.

Show comment
Hide comment
@jmansilla

jmansilla Nov 19, 2015

Contributor

delgesu1745: your issues is about installing FeatureForge https://github.com/machinalis/featureforge which is one of the IEPY dependencies, and its related with your python not been able to work with unicode characters.

Can you try in your shell to configure your environment like this
export LANG=en_US.UTF-8
and retry?

Contributor

jmansilla commented Nov 19, 2015

delgesu1745: your issues is about installing FeatureForge https://github.com/machinalis/featureforge which is one of the IEPY dependencies, and its related with your python not been able to work with unicode characters.

Can you try in your shell to configure your environment like this
export LANG=en_US.UTF-8
and retry?

@jmansilla

This comment has been minimized.

Show comment
Hide comment
@jmansilla

jmansilla Nov 20, 2015

Contributor

Respect the issue with six, it's solved on develop now.

Contributor

jmansilla commented Nov 20, 2015

Respect the issue with six, it's solved on develop now.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment